com.microfocus.zserver.zexplorer

## Class MvsDataSetDirectory

- java.lang.Object
- - com.microfocus.zserver.zexplorer.MvsDataSetDirectory

-     public class MvsDataSetDirectory
      extends java.lang.Object

  Contains all `IMvsResource`s that have been retrieved during the active session.

  Not intended to be sub-classed by clients.

  Author:
    Ralf Pakosch

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `MvsDataSetDirectory(MvsSubsystem pMvsSubsystem)` Constructor.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `addDataSet(IMvsDataset pDs)` Adds a data set to the directory.
    `void` | `clear()` Clears the data set directory, removing all cached data set instances.
    `IMvsDataset` | `getDataSet(java.lang.String pDataSetName)` Gets a data set with the given name from the directory.
    `java.util.Collection<IMvsDataset>` | `getDataSets()` Gets all data sets contained by the directory.
    `IMvsResource` | `getResource(java.lang.String pFullName)` Returns a `IMvsDataset` or a `MvsDatasetMember` for the full qualified name.
    `void` | `loadLinkedDataSetsFromCache(org.eclipse.core.runtime.IProgressMonitor pMon)` Loads data sets of linked element types from cache.
    `void` | `saveLinkedDataSets(org.eclipse.core.runtime.IProgressMonitor pMon)` Persists all data sets (including members) which have linked MVS element instances in the currently loaded AWM model.
    `void` | `updateRenamedDataSet(java.lang.String pOldName, java.lang.String pNewName)` Updates the key of a renamed data set.

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### MvsDataSetDirectory

          public MvsDataSetDirectory(MvsSubsystem pMvsSubsystem)

      Constructor.
      Parameters:
        `pMvsSubsystem` - the MVS sub system

  - ### Method Detail

    - #### addDataSet

          public void addDataSet(IMvsDataset pDs)

      Adds a data set to the directory.
      Parameters:
        `pDs` - the data set to be added
      See Also:
        `getDataSet(String)`

    - #### getDataSet

          public IMvsDataset getDataSet(java.lang.String pDataSetName)

      Gets a data set with the given name from the directory.
      Parameters:
        `pDataSetName` - name of the desired data set
      Returns:
        the data set instance or `null` if the directory does not contain a data set with the given name

    - #### getDataSets

          public java.util.Collection<IMvsDataset> getDataSets()

      Gets all data sets contained by the directory.
      Returns:
        a collection of all contained data sets. Can be empty.

    - #### updateRenamedDataSet

          public void updateRenamedDataSet(java.lang.String pOldName,
                                           java.lang.String pNewName)

      Updates the key of a renamed data set. Does nothing, if the old name was not contained by the directory.
      Parameters:
        `pOldName` - old name of a renamed data set
        `pNewName` - new name of a renamed data set

    - #### getResource

          public IMvsResource getResource(java.lang.String pFullName)

      Returns a `IMvsDataset` or a `MvsDatasetMember` for the full qualified name.
      Parameters:
        `pFullName` - data set name or data set name and membername (Q1.Q2(MEM))
      Returns:
        the found resource or `null`, if no resource with that name exists in the directory

    - #### clear

          public void clear()

      Clears the data set directory, removing all cached data set instances.

    - #### saveLinkedDataSets

          public void saveLinkedDataSets(org.eclipse.core.runtime.IProgressMonitor pMon)
                                  throws java.io.IOException

      Persists all data sets (including members) which have linked MVS element instances in the currently loaded AWM model.
      Parameters:
        `pMon` - a progress monitor
      Throws:
        `java.io.IOException` - if persisting MVS data sets failed

    - #### loadLinkedDataSetsFromCache

          public void loadLinkedDataSetsFromCache(org.eclipse.core.runtime.IProgressMonitor pMon)
                                           throws java.io.IOException

      Loads data sets of linked element types from cache. Does nothing if no application is currently loaded or if the application does not contain any linked MVS elements.
      Parameters:
        `pMon` - a progress monitor
      Throws:
        `java.io.IOException` - if loading linked data sets fails

Copyright © 2015 Micro Focus GmbH. All rights reserved.